# Read an app

Read an app's configuration.

`GET /api/platform/v1/apps/{appId}`

Required permission: `project:read`.

## Parameters

| Name | In | Type | Required | Description |

| --- | --- | --- | --- | --- |

| `appId` | path | `string` | Yes | — |

## Example request

```bash
curl --request GET \
  --url https://api.hoplite.sh/api/platform/v1/apps/appId \
  --header "X-Api-Key: $HOPLITE_API_KEY"
```

## 200 response

Success

Content type: `application/json`. Response type: `object`.

| Field | Type | Required | Constraints | Description |
| --- | --- | --- | --- | --- |
| `ok` | `boolean` | Yes | true | — |
| `app` | `object` | Yes | — | — |
| `app.id` | `string` | Yes | — | — |
| `app.name` | `string` | Yes | — | — |
| `app.externalId` | `string` | Yes | — | — |
| `app.metadata` | `object` | Yes | — | — |
| `app.metadata.[key]` | `__schema0` | No | — | — |
| `app.runScript` | `string` | Yes | — | — |
| `app.setupScript` | `string` | Yes | — | — |
| `app.previewPort` | `integer` | Yes | min -9007199254740991, max 9007199254740991 | — |
| `app.defaultModel` | `string` | Yes | — | — |
| `app.instructions` | `string` | Yes | — | — |
| `app.idleTimeoutMinutes` | `integer` | Yes | min -9007199254740991, max 9007199254740991 | — |
| `app.createdAt` | `string<date-time>` | Yes | — | — |
| `app.updatedAt` | `string<date-time>` | Yes | — | — |

```json

```

## Status codes

- `200` — Success

- `400` — Invalid request

- `401` — Authentication required

- `403` — Permission, app scope or entitlement denied

- `404` — App, source or thread not found

- `409` — Idempotency conflict or request in progress

- `413` — Request too large

- `503` — Source storage or execution unavailable